org.apache.myfaces.trinidad.component.core.data

## Class CoreColumn

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXColumn
        - - org.apache.myfaces.trinidad.component.core.data.CoreColumn

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class CoreColumn
      extends UIXColumn
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The immediate children of a Table component must all be `<tr:column>` components. Each visible Trinidad Column component creates a separate column in the Table.

  Use the "header" facet on a Column to create the column header. The following example creates a two-column table with the column headers - "Firstname" and "Lastname":

         <tr:table>
           <tr:column>
             <f:facet name="header">
               <tr:outputText value="Firstname"/>
             </f:facet>
             ...
           </tr:column>
           <tr:column>
             <f:facet name="header">
               <tr:outputText value="Lastname"/>
             </f:facet>
             ...
           </tr:column>
         </tr:table>

  The child components of each Column display the data for each row in that column. The Column does not create child components per row; instead, each child is repeatedly rendered (stamped) once per row. Because of this stamping behavior, only certain types of components are supported as children inside a Column. Supported components include all components with no behavior and most components that implement the EditableValueHolder or ActionSource interfaces.

  As each row is stamped, the data for the current row ( see `getRowData()` on the Table) is copied into an EL reachable property. The name of this property is defined by the `var` property on the Table. Once the Table has completed rendering, this property is removed (or reverted back to its previous value). In the following example, the data for each row is placed under the EL property "row". Each Column displays the data for each row by getting further properties from the "row" property:

         <tr:table var="row" value="#{myBean.employees}">
           <tr:column>
             <tr:outputText value="#{row.firstname}"/>
           </tr:column>
           <tr:column>
             tr:outputText value="#{row.lastname}"/>
           </tr:column>
         </tr:table>

  The Column component supports the following attributes related to formatting:

  align
    The type of alignment to use for this column. This atribute controls left/start, right/end, or center justification of the column data.
  width
    The width of this column.
  noWrap
    Controls whether long lines of text in the column data should be wrapped.
  headerNoWrap
    Controls whether long lines of text in the column header should be wrapped.
  separateRows
    Controls whether each child of this column should be rendered in separate cells, or inside the same cell.

  In order to make this Column sortable, set the "sortable" property to true and set "sortProperty" to the name of the model that this column will sort. Sorting can be programatically turned on with the `setSortCritiera()` method on the\ table.

  `<tr:column>` tags can be nested to produce groups of columns. The header of a column group spans across all the columns it contains. The following example creates a column group that has the header "Name" and contains two sub columns with headers "First" and "Last":

         <tr:table var="row" value="#{myBean.employees}">
           <tr:column>
             <f:facet name="header">
               <tr:outputText value="Name"/>
             </f:facet>
             <tr:column>
               <f:facet name="header">
                 <tr:outputText value="First"/>
               </f:facet>
               <tr:outputText value="#{row.firstname}"/>
             </tr:column>
             <tr:column>
               <f:facet name="header">
                 <tr:outputText value="Last"/>
               </f:facet>
               tr:outputText value="#{row.lastname}"/>
             </tr:column>
           </tr:column>
         </tr:table>

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALIGN_CENTER`
    `static String` | `ALIGN_END`
    `static PropertyKey` | `ALIGN_KEY`
    `static String` | `ALIGN_LEFT`
    `static String` | `ALIGN_RIGHT`
    `static String` | `ALIGN_START`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `DEFAULT_SORT_ORDER_ASCENDING`
    `static String` | `DEFAULT_SORT_ORDER_DESCENDING`
    `static PropertyKey` | `DEFAULT_SORT_ORDER_KEY`
    `static PropertyKey` | `HEADER_NO_WRAP_KEY`
    `static PropertyKey` | `HEADER_TEXT_KEY`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static PropertyKey` | `NO_WRAP_KEY`
    `static PropertyKey` | `ONCLICK_KEY`
    `static PropertyKey` | `ONDBLCLICK_KEY`
    `static PropertyKey` | `ONKEYDOWN_KEY`
    `static PropertyKey` | `ONKEYPRESS_KEY`
    `static PropertyKey` | `ONKEYUP_KEY`
    `static PropertyKey` | `ONMOUSEDOWN_KEY`
    `static PropertyKey` | `ONMOUSEMOVE_KEY`
    `static PropertyKey` | `ONMOUSEOUT_KEY`
    `static PropertyKey` | `ONMOUSEOVER_KEY`
    `static PropertyKey` | `ONMOUSEUP_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static PropertyKey` | `ROW_HEADER_KEY`
    `static PropertyKey` | `SEPARATE_ROWS_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `SORTABLE_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static FacesBean.Type` | `TYPE`
    `static PropertyKey` | `WIDTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXColumn

      `FOOTER_FACET, HEADER_FACET, SORT_PROPERTY_KEY, SORT_STRENGTH_IDENTICAL, SORT_STRENGTH_KEY, SORT_STRENGTH_PRIMARY, SORT_STRENGTH_SECONDARY, SORT_STRENGTH_TERTIARY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CoreColumn()` Construct an instance of the CoreColumn.
    `protected` | `CoreColumn(String rendererType)` Construct an instance of the CoreColumn.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `String` | `getAlign()` Gets The alignment for this column.
    `protected FacesBean.Type` | `getBeanType()`
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `String` | `getDefaultEventName()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `String` | `getDefaultSortOrder()` Gets The default sort order of the column.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getHeaderText()` Gets text to display in the header of the column.
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `String` | `getOnclick()` Gets an onclick Javascript handler.
    `String` | `getOndblclick()` Gets an ondblclick Javascript handler.
    `String` | `getOnkeydown()` Gets an onkeydown Javascript handler.
    `String` | `getOnkeypress()` Gets an onkeypress Javascript handler.
    `String` | `getOnkeyup()` Gets an onkeyup Javascript handler.
    `String` | `getOnmousedown()` Gets an onmousedown Javascript handler.
    `String` | `getOnmousemove()` Gets an onmousemove Javascript handler.
    `String` | `getOnmouseout()` Gets an onmouseout Javascript handler.
    `String` | `getOnmouseover()` Gets an onmouseover Javascript handler.
    `String` | `getOnmouseup()` Gets an onmouseup Javascript handler.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getShortDesc()` Gets The short description of the component.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `String` | `getWidth()` Gets the preferred width of this column, e.g., "30%", "100px".
    `boolean` | `isHeaderNoWrap()` Gets whether or not the column header should be allowed to wrap
    `boolean` | `isNoWrap()` Gets whether or not the column contents should be allowed to wrap
    `boolean` | `isRowHeader()` Gets Whether or not this column is a row header column.
    `boolean` | `isSeparateRows()` Gets whether or not the children of this column should be rendered on separate rows.
    `boolean` | `isSortable()` Gets whether or not the column is sortable.
    `void` | `setAlign(String align)` Sets The alignment for this column.
    `void` | `setDefaultSortOrder(String defaultSortOrder)` Sets The default sort order of the column.
    `void` | `setHeaderNoWrap(boolean headerNoWrap)` Sets whether or not the column header should be allowed to wrap
    `void` | `setHeaderText(String headerText)` Sets text to display in the header of the column.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setNoWrap(boolean noWrap)` Sets whether or not the column contents should be allowed to wrap
    `void` | `setOnclick(String onclick)` Sets an onclick Javascript handler.
    `void` | `setOndblclick(String ondblclick)` Sets an ondblclick Javascript handler.
    `void` | `setOnkeydown(String onkeydown)` Sets an onkeydown Javascript handler.
    `void` | `setOnkeypress(String onkeypress)` Sets an onkeypress Javascript handler.
    `void` | `setOnkeyup(String onkeyup)` Sets an onkeyup Javascript handler.
    `void` | `setOnmousedown(String onmousedown)` Sets an onmousedown Javascript handler.
    `void` | `setOnmousemove(String onmousemove)` Sets an onmousemove Javascript handler.
    `void` | `setOnmouseout(String onmouseout)` Sets an onmouseout Javascript handler.
    `void` | `setOnmouseover(String onmouseover)` Sets an onmouseover Javascript handler.
    `void` | `setOnmouseup(String onmouseup)` Sets an onmouseup Javascript handler.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setRowHeader(boolean rowHeader)` Sets Whether or not this column is a row header column.
    `void` | `setSeparateRows(boolean separateRows)` Sets whether or not the children of this column should be rendered on separate rows.
    `void` | `setShortDesc(String shortDesc)` Sets The short description of the component.
    `void` | `setSortable(boolean sortable)` Sets whether or not the column is sortable.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setWidth(String width)` Sets the preferred width of this column, e.g., "30%", "100px".

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXColumn

      `getFooter, getHeader, getSortProperty, getSortStrength, processDecodes, processUpdates, processValidators, setFooter, setHeader, setPartialTarget, setSortProperty, setSortStrength`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALIGN_START

          public static final String ALIGN_START

      See Also:
        Constant Field Values

    - #### ALIGN_END

          public static final String ALIGN_END

      See Also:
        Constant Field Values

    - #### ALIGN_CENTER

          public static final String ALIGN_CENTER

      See Also:
        Constant Field Values

    - #### ALIGN_LEFT

          public static final String ALIGN_LEFT

      See Also:
        Constant Field Values

    - #### ALIGN_RIGHT

          public static final String ALIGN_RIGHT

      See Also:
        Constant Field Values

    - #### DEFAULT_SORT_ORDER_ASCENDING

          public static final String DEFAULT_SORT_ORDER_ASCENDING

      See Also:
        Constant Field Values

    - #### DEFAULT_SORT_ORDER_DESCENDING

          public static final String DEFAULT_SORT_ORDER_DESCENDING

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### ONCLICK_KEY

          public static final PropertyKey ONCLICK_KEY

    - #### ONDBLCLICK_KEY

          public static final PropertyKey ONDBLCLICK_KEY

    - #### ONMOUSEDOWN_KEY

          public static final PropertyKey ONMOUSEDOWN_KEY

    - #### ONMOUSEUP_KEY

          public static final PropertyKey ONMOUSEUP_KEY

    - #### ONMOUSEOVER_KEY

          public static final PropertyKey ONMOUSEOVER_KEY

    - #### ONMOUSEMOVE_KEY

          public static final PropertyKey ONMOUSEMOVE_KEY

    - #### ONMOUSEOUT_KEY

          public static final PropertyKey ONMOUSEOUT_KEY

    - #### ONKEYPRESS_KEY

          public static final PropertyKey ONKEYPRESS_KEY

    - #### ONKEYDOWN_KEY

          public static final PropertyKey ONKEYDOWN_KEY

    - #### ONKEYUP_KEY

          public static final PropertyKey ONKEYUP_KEY

    - #### ALIGN_KEY

          public static final PropertyKey ALIGN_KEY

    - #### DEFAULT_SORT_ORDER_KEY

          public static final PropertyKey DEFAULT_SORT_ORDER_KEY

    - #### WIDTH_KEY

          public static final PropertyKey WIDTH_KEY

    - #### HEADER_TEXT_KEY

          public static final PropertyKey HEADER_TEXT_KEY

    - #### NO_WRAP_KEY

          public static final PropertyKey NO_WRAP_KEY

    - #### HEADER_NO_WRAP_KEY

          public static final PropertyKey HEADER_NO_WRAP_KEY

    - #### SORTABLE_KEY

          public static final PropertyKey SORTABLE_KEY

    - #### SEPARATE_ROWS_KEY

          public static final PropertyKey SEPARATE_ROWS_KEY

    - #### ROW_HEADER_KEY

          public static final PropertyKey ROW_HEADER_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoreColumn

          public CoreColumn()

      Construct an instance of the CoreColumn.

    - #### CoreColumn

          protected CoreColumn(String rendererType)

      Construct an instance of the CoreColumn.

  - ### Method Detail

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getOnclick

          public final String getOnclick()

      Gets an onclick Javascript handler.
      Returns:
        the new onclick value

    - #### setOnclick

          public final void setOnclick(String onclick)

      Sets an onclick Javascript handler.
      Parameters:
        `onclick` - the new onclick value

    - #### getOndblclick

          public final String getOndblclick()

      Gets an ondblclick Javascript handler.
      Returns:
        the new ondblclick value

    - #### setOndblclick

          public final void setOndblclick(String ondblclick)

      Sets an ondblclick Javascript handler.
      Parameters:
        `ondblclick` - the new ondblclick value

    - #### getOnmousedown

          public final String getOnmousedown()

      Gets an onmousedown Javascript handler.
      Returns:
        the new onmousedown value

    - #### setOnmousedown

          public final void setOnmousedown(String onmousedown)

      Sets an onmousedown Javascript handler.
      Parameters:
        `onmousedown` - the new onmousedown value

    - #### getOnmouseup

          public final String getOnmouseup()

      Gets an onmouseup Javascript handler.
      Returns:
        the new onmouseup value

    - #### setOnmouseup

          public final void setOnmouseup(String onmouseup)

      Sets an onmouseup Javascript handler.
      Parameters:
        `onmouseup` - the new onmouseup value

    - #### getOnmouseover

          public final String getOnmouseover()

      Gets an onmouseover Javascript handler.
      Returns:
        the new onmouseover value

    - #### setOnmouseover

          public final void setOnmouseover(String onmouseover)

      Sets an onmouseover Javascript handler.
      Parameters:
        `onmouseover` - the new onmouseover value

    - #### getOnmousemove

          public final String getOnmousemove()

      Gets an onmousemove Javascript handler.
      Returns:
        the new onmousemove value

    - #### setOnmousemove

          public final void setOnmousemove(String onmousemove)

      Sets an onmousemove Javascript handler.
      Parameters:
        `onmousemove` - the new onmousemove value

    - #### getOnmouseout

          public final String getOnmouseout()

      Gets an onmouseout Javascript handler.
      Returns:
        the new onmouseout value

    - #### setOnmouseout

          public final void setOnmouseout(String onmouseout)

      Sets an onmouseout Javascript handler.
      Parameters:
        `onmouseout` - the new onmouseout value

    - #### getOnkeypress

          public final String getOnkeypress()

      Gets an onkeypress Javascript handler.
      Returns:
        the new onkeypress value

    - #### setOnkeypress

          public final void setOnkeypress(String onkeypress)

      Sets an onkeypress Javascript handler.
      Parameters:
        `onkeypress` - the new onkeypress value

    - #### getOnkeydown

          public final String getOnkeydown()

      Gets an onkeydown Javascript handler.
      Returns:
        the new onkeydown value

    - #### setOnkeydown

          public final void setOnkeydown(String onkeydown)

      Sets an onkeydown Javascript handler.
      Parameters:
        `onkeydown` - the new onkeydown value

    - #### getOnkeyup

          public final String getOnkeyup()

      Gets an onkeyup Javascript handler.
      Returns:
        the new onkeyup value

    - #### setOnkeyup

          public final void setOnkeyup(String onkeyup)

      Sets an onkeyup Javascript handler.
      Parameters:
        `onkeyup` - the new onkeyup value

    - #### getAlign

          public final String getAlign()

      Gets The alignment for this column. The legal values are "start", "end" and "center", for left-justified, right-justified, and center-justified respectively in LTR display. The default value is "start".
      Returns:
        the new align value

    - #### setAlign

          public final void setAlign(String align)

      Sets The alignment for this column. The legal values are "start", "end" and "center", for left-justified, right-justified, and center-justified respectively in LTR display. The default value is "start".
      Parameters:
        `align` - the new align value

    - #### getDefaultSortOrder

          public final String getDefaultSortOrder()

      Gets The default sort order of the column. The legal values are "ascending" or "descending" for ascending sorting or descending sorting on a first click respectively. The default value is "ascending".
      Returns:
        the new defaultSortOrder value

    - #### setDefaultSortOrder

          public final void setDefaultSortOrder(String defaultSortOrder)

      Sets The default sort order of the column. The legal values are "ascending" or "descending" for ascending sorting or descending sorting on a first click respectively. The default value is "ascending".
      Parameters:
        `defaultSortOrder` - the new defaultSortOrder value

    - #### getWidth

          public final String getWidth()

      Gets the preferred width of this column, e.g., "30%", "100px".
      Returns:
        the new width value

    - #### setWidth

          public final void setWidth(String width)

      Sets the preferred width of this column, e.g., "30%", "100px".
      Parameters:
        `width` - the new width value

    - #### getHeaderText

          public final String getHeaderText()

      Gets text to display in the header of the column. This is a convenience that generates output equivalent to adding a "header" facet containing an outputText.
      Returns:
        the new headerText value

    - #### setHeaderText

          public final void setHeaderText(String headerText)

      Sets text to display in the header of the column. This is a convenience that generates output equivalent to adding a "header" facet containing an outputText.
      Parameters:
        `headerText` - the new headerText value

    - #### isNoWrap

          public final boolean isNoWrap()

      Gets whether or not the column contents should be allowed to wrap
      Returns:
        the new noWrap value

    - #### setNoWrap

          public final void setNoWrap(boolean noWrap)

      Sets whether or not the column contents should be allowed to wrap
      Parameters:
        `noWrap` - the new noWrap value

    - #### isHeaderNoWrap

          public final boolean isHeaderNoWrap()

      Gets whether or not the column header should be allowed to wrap
      Returns:
        the new headerNoWrap value

    - #### setHeaderNoWrap

          public final void setHeaderNoWrap(boolean headerNoWrap)

      Sets whether or not the column header should be allowed to wrap
      Parameters:
        `headerNoWrap` - the new headerNoWrap value

    - #### isSortable

          public final boolean isSortable()

      Gets
      whether or not the column is sortable. A sortable column has a clickable header that (when clicked) sorts the table by that column's property. Note that in order for a column to be sortable, this attribute must be set to "true" and the underlying model must support sorting by this column's property.

      This column's "sortProperty" attribute must be set if sorting is desired.

      Returns:
        the new sortable value

    - #### setSortable

          public final void setSortable(boolean sortable)

      Sets
      whether or not the column is sortable. A sortable column has a clickable header that (when clicked) sorts the table by that column's property. Note that in order for a column to be sortable, this attribute must be set to "true" and the underlying model must support sorting by this column's property.

      This column's "sortProperty" attribute must be set if sorting is desired.

      Parameters:
        `sortable` - the new sortable value

    - #### isSeparateRows

          public final boolean isSeparateRows()

      Gets whether or not the children of this column should be rendered on separate rows. Setting this attribute to true will cause each child to render in its own row. Setting this to false will cause all the children to be rendered in one cell, which will rowSpan across the rows of the Columns whose children are rendered on separate rows.
      Returns:
        the new separateRows value

    - #### setSeparateRows

          public final void setSeparateRows(boolean separateRows)

      Sets whether or not the children of this column should be rendered on separate rows. Setting this attribute to true will cause each child to render in its own row. Setting this to false will cause all the children to be rendered in one cell, which will rowSpan across the rows of the Columns whose children are rendered on separate rows.
      Parameters:
        `separateRows` - the new separateRows value

    - #### isRowHeader

          public final boolean isRowHeader()

      Gets Whether or not this column is a row header column.
      Returns:
        the new rowHeader value

    - #### setRowHeader

          public final void setRowHeader(boolean rowHeader)

      Sets Whether or not this column is a row header column.
      Parameters:
        `rowHeader` - the new rowHeader value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `UIXComponentBase`
      Returns:
        null
      See Also:
        `ClientBehaviorHolder.getDefaultEventName()`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `UIXComponentBase`
      Returns:
        Read-only map of the client behaviors for this component
      See Also:
        `ClientBehaviorHolder.getClientBehaviors()`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                               javax.faces.component.behavior.ClientBehavior behavior)

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `UIXComponentBase`
      Parameters:
        `eventName` - The event name
        `behavior` - The behavior to add
      See Also:
        `ClientBehaviorHolder.addClientBehavior(String, ClientBehavior)`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXColumn`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXColumn`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.